Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote.corba.sun
Class CORBAJNDIClusteringService

`java.lang.Object
java.lang.Thread
oracle.toplink.remote.AbstractClusteringService
oracle.toplink.remote.AbstractJNDIClusteringService
oracle.toplink.remote.corba.sun.CORBAJNDIClusteringService`

All Implemented Interfaces:
  java.lang.Runnable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `SunCORBATransportManager`

public class CORBAJNDIClusteringService
extends AbstractJNDIClusteringService

PURPOSE:To Provide a framework for offering customers the ability to automatically connect multiple sessions for synchrnization.

Descripton:This thread object will place a remote dispatcher in the specified JNDI space. it will also monitor the specified multicast socket to allow other sessions to connect. This Particular class has been configured to use the RMI transport protocols. This class also assumes that there is a JNDI service available. And is best used within an application server.

See Also:
  `CacheSynchronizationManager`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CORBAJNDIClusteringService(Session session)` Deprecated. PUBLIC: Creates a CORBAJNDIClusteringService
`CORBAJNDIClusteringService(java.lang.String multicastAddress, int multicastPort, Session session)` Deprecated. ADVANCED: Creates a CORBAJNDIClusteringService

Method Summary
`RemoteConnection` | `createRemoteConnection(java.lang.String sessionId, java.lang.String jndiHostURL)` Deprecated. ADVANCED: This method should return a remote connection of the appropraite type for use in the synchronizatio
`void` | `deregisterDispatcher()` Deprecated. ADVANCED: This method will deregister the dispatcher for this session from JNDI on the specified host.
`java.net.MulticastSocket` | `getCommunicationSocket()` Deprecated. ADVANCED: Returns the socket that will be used for the multicast communication.
`javax.naming.Context` | `getContext(java.lang.String jndiHostURL)` Deprecated. Since 4.5
`java.lang.Object` | `getDispatcher()` Deprecated. ADVANCED: This is the object that will be placed in JNDI to provide remote synchronization services
`RemoteConnection` | `getLocalRemoteConnection()` Deprecated. ADVANCED: This method should return a Remote Connection of the appropriate type that references the Remote dispatcher for this Session
`void` | `registerDispatcher()` Deprecated. ADVANCED: This method will register the dispatcher for this session in JNDI on the specified host.

Methods inherited from class oracle.toplink.remote.AbstractJNDIClusteringService
`getInitialContextProperties, getPassword, getUserName, setContext, setInitialContextFactoryName, setInitialContextProperties, setLocalHostURL, setPassword, setUserName`

Methods inherited from class oracle.toplink.remote.AbstractClusteringService
`getAnnouncementDelay, getApplicationName, getLocalHostURL, getMulticastGroupAddress, getMulticastPort, getSessionId, getTimeToLive, setAnnouncementDelay, setApplicationName, setDispatcher, setMulticastGroupAddress, setMulticastPort, setSessionId, setTimeToLive, stopListening`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CORBAJNDIClusteringService

    public CORBAJNDIClusteringService(java.lang.String multicastAddress,
                                      int multicastPort,
                                      Session session)

  Deprecated.
  ADVANCED: Creates a CORBAJNDIClusteringService
Parameters:
  `multicastAddress` - The address of the multicast group
  `multicastPort` - The port the multicast group is listening on

### CORBAJNDIClusteringService

    public CORBAJNDIClusteringService(Session session)

  Deprecated.
  PUBLIC: Creates a CORBAJNDIClusteringService

Method Detail

### registerDispatcher

    public void registerDispatcher()

  Deprecated.
  ADVANCED: This method will register the dispatcher for this session in JNDI on the specified host. It must register the dispatcher under the SessionId
  Specified by:
    `registerDispatcher` in class `AbstractClusteringService`

### deregisterDispatcher

    public void deregisterDispatcher()

  Deprecated.
  ADVANCED: This method will deregister the dispatcher for this session from JNDI on the specified host. It must deregister the dispatcher under the SessionId
  Specified by:
    `deregisterDispatcher` in class `AbstractClusteringService`

### createRemoteConnection

    public RemoteConnection createRemoteConnection(java.lang.String sessionId,
                                                   java.lang.String jndiHostURL)

  Deprecated.
  ADVANCED: This method should return a remote connection of the appropraite type for use in the synchronizatio
  Specified by:
    `createRemoteConnection` in class `AbstractClusteringService`

### getCommunicationSocket

    public java.net.MulticastSocket getCommunicationSocket()

  Deprecated.
  ADVANCED: Returns the socket that will be used for the multicast communication. By default this will be java.net.MulticastSocket
  Specified by:
    `getCommunicationSocket` in class `AbstractClusteringService`

### getContext

    public javax.naming.Context getContext(java.lang.String jndiHostURL)

  Deprecated. Since 4.5
  ADVANCED: Returns the active JNDI Context to store the remote service in
  Overrides:
    `getContext` in class `AbstractJNDIClusteringService`
  Returns:

### getDispatcher

    public java.lang.Object getDispatcher()
                                   throws java.rmi.RemoteException

  Deprecated.
  ADVANCED: This is the object that will be placed in JNDI to provide remote synchronization services
  Specified by:
    `getDispatcher` in class `AbstractClusteringService`
  Returns:
  Throws:
    `java.rmi.RemoteException`

### getLocalRemoteConnection

    public RemoteConnection getLocalRemoteConnection()

  Deprecated.
  ADVANCED: This method should return a Remote Connection of the appropriate type that references the Remote dispatcher for this Session
  Specified by:
    `getLocalRemoteConnection` in class `AbstractClusteringService`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD